Eats courier profile readiness status

Returns Eats courier profile status by courier ID

Request

GET

https://fleet-api.taxi.yandex.net/v1/contractor-profiles/status

Query parameters

Name

Description

contractor_id

Type: string

Driver's profile ID

Example: 9b17db0cb1f24a38a5c3c8b4f6e4f63b

Headers

Name

Description

Accept-Language

Type: string

Preferred language of the response

Min length: 2

Example: ru

X-API-Key

Type: string

API-key

Min length: 1

Example: <API key>

X-Client-ID

Type: string

Client ID

Min length: 1

Example: <Client ID>

X-Park-ID

Type: string

Partner ID

Example: ee6f33c4562b4e1f8646d157bd70b2c4

Responses

200 OK

Response on successful request execution

Body

application/json
{
  "park_id": "ee6f33c4562b4e1f8646d157bd70b2c4",
  "contractor_id": "9b17db0cb1f24a38a5c3c8b4f6e4f63b",
  "profile_status": "processing"
}

Name

Description

contractor_id

Type: string

Contractor ID

Example: 9b17db0cb1f24a38a5c3c8b4f6e4f63b

park_id

Type: string

Park ID

Example: ee6f33c4562b4e1f8646d157bd70b2c4

profile_status

Type: string

Profile status, whether it's created

Enum: processing, ready, error

404 Not Found

Response when profile with specified identifier is not found

Body

application/json
{
  "code": "example",
  "message": "Textual description of the error"
}

Name

Description

message

Type: string

Human-readable error message

Example: Textual description of the error

code

Type: string

Machine-readable error code

Example: example